org.apache.ignite.spi.communication.tcp.internal

## Class HandshakeTimeoutObject

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.internal.HandshakeTimeoutObject

All Implemented Interfaces:
  Runnable

    public class HandshakeTimeoutObject
    extends Object
    implements Runnable

Callback that is intended to be executed after timeout on handshake.

### Constructor Summary

Constructors
Constructor and Description
`HandshakeTimeoutObject(Object connectionObj)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cancel()`
`void` `run()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HandshakeTimeoutObject

    public HandshakeTimeoutObject(Object connectionObj)

Parameters:
  `connectionObj` - Client.

### Method Detail

#### cancel

    public boolean cancel()

Returns:
  `True` if object has not yet been timed out.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021